﻿html,
body {
    height: 100%;
}

#map_canvas,
#wrapper,
#page-content-wrapper {
    height: 100%;
    width: 100%;
}

.container-fluid,
.row,
.col-lg-12 {
    height: 100%;
    width: 100%;
}


/* hamburger menu pseudo element */
.box-shadow-menu {
    position: relative;
    padding-left: 1.25em;
}

    .box-shadow-menu:before {
        content: "";
        position: absolute;
        left: 0;
        top: 0.25em;
        width: 1em;
        height: 0.15em;
        background: black;
        box-shadow: 0 0.25em 0 0 black, 0 0.5em 0 0 black;
    }
/* hamburger menu pseudo element gradient */
.gradient-menu {
    padding-left: 1.25em;
    position: relative;
}

    .gradient-menu:before {
        content: "";
        position: absolute;
        left: 0;
        top: 0.21em;
        bottom: 0.21em;
        width: 1em;
        background: linear-gradient( to bottom, black, black 20%, white 20%, white 40%, black 40%, black 60%, white 60%, white 80%, black 80%, black 100% );
    }
/* http://www.jqueryscript.net/demo/Bootstrap-Sidebar-Extension-With-jQuery-CSS-CSS3/ */

/*!
 * Start Bootstrap - Simple Sidebar HTML Template (http://startbootstrap.com)
 * Code licensed under the Apache License v2.0.
 * For details, see http://www.apache.org/licenses/LICENSE-2.0.
 */

/* Toggle Styles */
.nav-tabs > li {
    float: none;
}

.nav-tabs {
    border-bottom: 0;
}

    .nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
        margin: 0;
        border-radius: 0;
    }

#wrapper {
    padding-left: 0;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

    #wrapper.toggled {
        padding-left: 250px;
    }

#sidebar-wrapper {
    border: 1px solid black;
    z-index: 1000;
    position: fixed;
    left: 250px;
    width: 0;
    height: 100%;
    margin-left: -250px;
    overflow-y: auto;
    background: white;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#wrapper.toggled #sidebar-wrapper {
    width: 250px;
}

#page-content-wrapper {
    width: 100%;
    position: absolute;
    padding: 15px;
}

#wrapper.toggled #page-content-wrapper {
    position: absolute;
    margin-right: -250px;
}

/* Sidebar Styles */

.sidebar-nav {
    position: absolute;
    top: 0;
    width: 250px;
    margin: 0;
    padding: 0;
    list-style: none;
}

    .sidebar-nav li {
        text-indent: 20px;
        line-height: 40px;
    }

        .sidebar-nav li a {
            display: block;
            text-decoration: none;
            color: #999999;
        }

            .sidebar-nav li a:hover {
                text-decoration: none;
                color: #fff;
                background: rgba(255,255,255,0.2);
            }

            .sidebar-nav li a:active,
            .sidebar-nav li a:focus {
                text-decoration: none;
            }

    .sidebar-nav > .sidebar-brand {
        height: 65px;
        font-size: 18px;
        line-height: 60px;
    }

        .sidebar-nav > .sidebar-brand a {
            color: #999999;
        }

            .sidebar-nav > .sidebar-brand a:hover {
                color: #fff;
                background: none;
            }

@media(min-width:768px) {
    #wrapper {
        padding-left: 250px;
    }

        #wrapper.toggled {
            padding-left: 0;
        }

    #sidebar-wrapper {
        width: 250px;
    }

    #wrapper.toggled #sidebar-wrapper {
        width: 0;
    }

    #page-content-wrapper {
        padding: 20px;
        position: relative;
    }

    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
    }
}

#pac-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    margin-left: 12px;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 400px;
}

#pac-input:focus {
    border-color: #4d90fe;
}

